#[derive(Clone)]
pub struct Context{
	pub base_url:String,
	client:reqwest::Client,
}

impl Context{
	pub fn new(mut base_url:String)->reqwest::Result<Self>{
		base_url+="/v1";
		Ok(Self{
			base_url,
			client:reqwest::Client::new(),
		})
	}
	pub async fn get(&self,url:impl reqwest::IntoUrl)->Result<reqwest::Response,reqwest::Error>{
		self.client.get(url)
		.send().await
	}
	pub async fn post(&self,url:impl reqwest::IntoUrl)->Result<reqwest::Response,reqwest::Error>{
		self.client.post(url)
		.send().await
	}
}
